info.bioinfweb.jphyloio.formats.pde

## Class PDEReaderStreamDataProvider

- java.lang.Object
- - info.bioinfweb.jphyloio.ReaderStreamDataProvider<R>
  - - info.bioinfweb.jphyloio.formats.xml.XMLReaderStreamDataProvider<PDEEventReader>
    - - info.bioinfweb.jphyloio.formats.pde.PDEReaderStreamDataProvider

-     public class PDEReaderStreamDataProvider
      extends XMLReaderStreamDataProvider<PDEEventReader>

  The XML stream data provider used by `PDEEventReader`.
  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDEReaderStreamDataProvider(PDEEventReader eventReader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlignmentLength()`
    `java.lang.String` | `getCurrentAlignmentID()` Returns the ID of the characters element (representing an alignment) that is currently read.
    `protected java.lang.String` | `getCurrentSequenceID()`
    `int` | `getCurrentSequenceIndex()`
    `protected int` | `getCurrentSequenceLength()`
    `java.util.Map<java.lang.Integer,PDEMetaColumnDefintion>` | `getMetaColumns()`
    `java.lang.String` | `getOtuListID()`
    `protected int` | `getSequenceCount()`
    `java.util.Map<java.lang.Integer,java.lang.String>` | `getSequenceIndexToOTUID()`
    `java.util.List<java.util.Map<java.lang.Integer,java.lang.String>>` | `getSequenceInformations()`
    `protected boolean` | `isCreateAlignmentEnd()`
    `protected boolean` | `isCreateAlignmentStart()`
    `void` | `setAlignmentLength(int alignmentLength)`
    `protected void` | `setCreateAlignmentEnd(boolean createAlignmentEnd)`
    `protected void` | `setCreateAlignmentStart(boolean createAlignmentStart)`
    `void` | `setCurrentAlignmentID(java.lang.String currentAlignmentID)`
    `protected void` | `setCurrentSequenceID(java.lang.String currentSequenceID)`
    `void` | `setCurrentSequenceIndex(int currentSequenceIndex)`
    `protected void` | `setCurrentSequenceLength(int currentSequenceLength)`
    `void` | `setOtuListID(java.lang.String otuListID)`
    `protected void` | `setSequenceCount(int sequenceCount)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.xml.XMLReaderStreamDataProvider

      `getCharacterSetType, getEdgeInfos, getElementName, getIncompleteToken, getNestedMetaNames, getParentName, getSourceNode, getStartDocumentEvent, getXMLReader, hasIncompleteToken, isCreateNodeStart, isCustomXMLStartWritten, isRootedPhylogeny, setCharacterSetType, setCreateNodeStart, setCustomXMLStartWritten, setElementName, setIncompleteToken, setParentName, setRootedPhylogeny, setStartDocumentEvent`

    - ### Methods inherited from class info.bioinfweb.jphyloio.ReaderStreamDataProvider

      `eventsUpcoming, getCurrentEventCollection, getEventReader, getIDManager, getParameters, getSequenceTokensEventManager, hasSpecialEventCollection, resetCurrentEventCollection, setCurrentEventCollection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDEReaderStreamDataProvider

          public PDEReaderStreamDataProvider(PDEEventReader eventReader)

  - ### Method Detail

    - #### getAlignmentLength

          public int getAlignmentLength()

    - #### setAlignmentLength

          public void setAlignmentLength(int alignmentLength)

    - #### getSequenceCount

          protected int getSequenceCount()

    - #### setSequenceCount

          protected void setSequenceCount(int sequenceCount)

    - #### getOtuListID

          public java.lang.String getOtuListID()

    - #### setOtuListID

          public void setOtuListID(java.lang.String otuListID)

    - #### getCurrentAlignmentID

          public java.lang.String getCurrentAlignmentID()

      Returns the ID of the characters element (representing an alignment) that is currently read.
      Returns:
        the current alignment ID

    - #### setCurrentAlignmentID

          public void setCurrentAlignmentID(java.lang.String currentAlignmentID)

    - #### isCreateAlignmentStart

          protected boolean isCreateAlignmentStart()

    - #### setCreateAlignmentStart

          protected void setCreateAlignmentStart(boolean createAlignmentStart)

    - #### isCreateAlignmentEnd

          protected boolean isCreateAlignmentEnd()

    - #### setCreateAlignmentEnd

          protected void setCreateAlignmentEnd(boolean createAlignmentEnd)

    - #### getCurrentSequenceID

          protected java.lang.String getCurrentSequenceID()

    - #### setCurrentSequenceID

          protected void setCurrentSequenceID(java.lang.String currentSequenceID)

    - #### getSequenceIndexToOTUID

          public java.util.Map<java.lang.Integer,java.lang.String> getSequenceIndexToOTUID()

    - #### getCurrentSequenceIndex

          public int getCurrentSequenceIndex()

    - #### setCurrentSequenceIndex

          public void setCurrentSequenceIndex(int currentSequenceIndex)

    - #### getCurrentSequenceLength

          protected int getCurrentSequenceLength()

    - #### setCurrentSequenceLength

          protected void setCurrentSequenceLength(int currentSequenceLength)

    - #### getSequenceInformations

          public java.util.List<java.util.Map<java.lang.Integer,java.lang.String>> getSequenceInformations()

    - #### getMetaColumns

          public java.util.Map<java.lang.Integer,PDEMetaColumnDefintion> getMetaColumns()